Skip to main content

GetLocationFromWifiNetworks

POST 

/location/wifi

Alternative: POST /location/ground-fix (GetLocationFromCellsOrWifiNetworks) also covers this use case. Get location based on nearby Wi-Fi networks. At least two access points with valid MAC addresses are required. An empty accessPoints array is treated the same as an omitted field.

Cloud-to-cloud request:

curl -X POST "$API_HOST/v1/organizations/$ORG_SLUG/projects/$PROJECT_SLUG/location/wifi" -H "Authorization: Bearer $NRFCLOUD_OAT" -H "Content-Type: application/json" -d "{\"accessPoints\":[{\"macAddress\": \"00-18-39-59-8C-53\", \"signalStrength\": -42}, {\"macAddress\": \"00:21:55:61:F3:0A\", \"signalStrength\": -22}]}"

Basic Request:

curl -X POST "$API_HOST/v1/location/wifi" -H "Authorization: Bearer $JWT" -H "Content-Type: application/json" -d "{\"accessPoints\":[{\"macAddress\": \"00-18-39-59-8C-53\", \"signalStrength\": -42}, {\"macAddress\": \"00:21:55:61:F3:0A\", \"signalStrength\": -22}]}"

Request​

Responses​

Returns lat/lon coordinates and uncertainty for a device using nearby Wi-Fi networks